Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 184542 - A11Y problems in New Team Server dialog
A11Y problems in New Team Server dialog
Status: VERIFIED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Team Framework
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jan Becicka
issues@connecteddeveloper
: A11Y
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-20 12:58 UTC by Jaromir Uhrik
Modified: 2010-04-26 14:44 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaromir Uhrik 2010-04-20 12:58:19 UTC
Product Version = NetBeans IDE 6.9 Beta (Build 201004200117)
Operating System = Linux version 2.6.27-14-generic running on i386
Java; VM; Vendor = 1.6.0_14
Runtime = Java HotSpot(TM) Client VM 14.0-b16

When adding a Team Server instance the New Team Server dialog appears and there are recognized the following problems with accessibility:

===============================================
 Tested Window title : New Team Server
===============================================
Results of Accessibility test
 Doesn't implement Accessible :
   - none.
 No Accessible name :
   - none.
 No Accessible description :
   Class: javax.swing.JButton {  Add |  } 
   Class: javax.swing.JButton {  Cancel |  } 
   Class: javax.swing.JButton {  Proxy Configuration... |  } 
   Class: javax.swing.JTextField {  Name: |  } 
   Class: javax.swing.JTextField {  URL: |  } 
   Class: org.netbeans.core.windows.services.NbDialog {  New Team Server |  } 
 Label with LABEL_FOR not set :
   - none.
 Components with no LABEL_FOR pointing to it :
   - none.
 Components with no mnemonic :
   Class: javax.swing.JButton {  Proxy Configuration... |  } 
 Components with wrong mnemonic (mnemonic isn't ASCII , label doesn't contain mnemonic):
   - none.
 Components not reachable with tab traversal :
   - none.
Comment 1 Jan Becicka 2010-04-21 12:07:25 UTC
b8d47aec487b
Comment 2 Quality Engineering 2010-04-22 04:31:25 UTC
Integrated into 'main-golden', will be available in build *201004220200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/b8d47aec487b
User: Jan Becicka <jbecicka@netbeans.org>
Log: Issue #184542 - A11Y problems in New Team Server dialog
Comment 3 Jaromir Uhrik 2010-04-26 14:44:25 UTC
Verified in NetBeans IDE Dev (Build 201004260200).


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo